Loading...
Searching...
No Matches
Opm::GuideRateHandler< Scalar, IndexTraits >::GuideRateDumper Class Reference

Responsible for formatting and printing guide rate information to logs. More...

`#include <GuideRateHandler.hpp>`

## Public Member Functions

| GuideRateDumper (GuideRateHandler< Scalar, IndexTraits > &parent, const int report_step_idx, const double sim_time)
DeferredLogger & | deferredLogger ()
void | dumpGuideRates ()
| Dumps guide rates for all wells and groups in a hierarchical structure.

## Detailed Description

template<typename Scalar, typename IndexTraits>
class Opm::GuideRateHandler< Scalar, IndexTraits >::GuideRateDumper

Responsible for formatting and printing guide rate information to logs.

Used primarily for debugging and human-readable output. Dumps well and group guide rates at a given report step and simulation time.

The documentation for this class was generated from the following files:

- opm/simulators/wells/GuideRateHandler.hpp
- opm/simulators/wells/GuideRateHandler.cpp